Skip to main content
POST
python

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowPassword
Token URL
token

Headers

x-notte-api-key
string
required
x-db-preview
string | null
x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

function_id
string
required

Body

application/json
workflow_id
string
required

The ID of the function to run

variables
Variables · object

The variables to run the function with

runtime
enum<string> | null

Override the saved function runtime; omit to inherit its default

Available options:
standard,
extended
stream
boolean
default:true

Whether to stream logs, or only return final response

callback_url
string | null

Optional https URL to POST the final status to once this reaches a terminal state, instead of polling for it. The body is the status endpoint's response plus an event field.

Response

Successful Response